<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>The KDE Resource library</title>
    <filename>index</filename>
  </compound>
  <compound kind="class">
    <name>KRES::Factory</name>
    <filename>classKRES_1_1Factory.html</filename>
    <member kind="function">
      <type>ConfigWidget *</type>
      <name>configWidget</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;type, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;type, const KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>typeNames</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>typeName</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;type) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>typeDescription</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;type) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Factory *</type>
      <name>self</name>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;resourceFamily)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Factory</name>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;resourceFamily)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::ManagerObserver</name>
    <filename>classKRES_1_1ManagerObserver.html</filename>
    <templarg>T</templarg>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceAdded</name>
      <anchor>a0</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceModified</name>
      <anchor>a1</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceDeleted</name>
      <anchor>a2</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager</name>
    <filename>classKRES_1_1Manager.html</filename>
    <templarg>T</templarg>
    <member kind="function">
      <type>Iterator</type>
      <name>begin</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>end</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeBegin</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeEnd</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Manager</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;family)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a7</anchor>
      <arglist>(KConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a8</anchor>
      <arglist>(KConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchor>a9</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchor>a10</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>change</name>
      <anchor>a11</anchor>
      <arglist>(T *resource)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>standardResource</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStandardResource</name>
      <anchor>a13</anchor>
      <arglist>(T *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchor>a14</anchor>
      <arglist>(Resource *resource, bool active)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>resourceNames</name>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>createResource</name>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>resourceTypeNames</name>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>resourceTypeDescriptions</name>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addObserver</name>
      <anchor>a19</anchor>
      <arglist>(ManagerObserver&lt; T &gt; *observer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeObserver</name>
      <anchor>a20</anchor>
      <arglist>(ManagerObserver&lt; T &gt; *observer)</arglist>
    </member>
    <class kind="class">KRES::Manager::ActiveIterator</class>
    <class kind="class">KRES::Manager::Iterator</class>
  </compound>
  <compound kind="class">
    <name>KRES::Manager::ActiveIterator</name>
    <filename>classKRES_1_1Manager_1_1ActiveIterator.html</filename>
    <member kind="function">
      <type></type>
      <name>ActiveIterator</name>
      <anchor>a1</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator *</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator++</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator++</name>
      <anchor>a4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator--</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator--</name>
      <anchor>a6</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a7</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a8</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Manager</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager::Iterator</name>
    <filename>classKRES_1_1Manager_1_1Iterator.html</filename>
    <member kind="function">
      <type></type>
      <name>Iterator</name>
      <anchor>a1</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator *</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator++</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator++</name>
      <anchor>a4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator--</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator--</name>
      <anchor>a6</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a7</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a8</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Manager</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Resource</name>
    <filename>classKRES_1_1Resource.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>QValueList&lt; Resource * &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchor>a0</anchor>
      <arglist>(const KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Resource</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchor>a2</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchor>a8</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>readOnly</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setResourceName</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>resourceName</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchor>a12</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dump</name>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>doOpen</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doClose</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIdentifier</name>
      <anchor>b2</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setType</name>
      <anchor>b3</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Factory</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ManagerImpl</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::SelectDialog</name>
    <filename>classKRES_1_1SelectDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>SelectDialog</name>
      <anchor>a0</anchor>
      <arglist>(QPtrList&lt; Resource &gt; list, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Resource *</type>
      <name>getResource</name>
      <anchor>e0</anchor>
      <arglist>(QPtrList&lt; Resource &gt; list, QWidget *parent=0)</arglist>
    </member>
  </compound>
</tagfile>
